%define upstream_name    Class-DBI-AutoLoader
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generates Class::DBI subclasses dynamically
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(DBI)
BuildArch:      noarch


%description
Class::DBI::AutoLoader scans the tables in a given database, and auto-generates
the Class::DBI classes. These are loaded into your package when you import
Class::DBI::AutoLoader, as though you had created the Data::FavoriteFilms class
and "use"d that directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class
%{_mandir}/*/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 364320
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.120.0-1.mga1
+ Revision: 23822
- cleaning spec file
- imported package perl-Class-DBI-AutoLoader

